Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicComboBoxEditor

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicComboBoxEditor

Direct Known Subclasses:
  BasicComboBoxEditor.UIResource, MetalComboBoxEditor

public class BasicComboBoxEditor
extends java.lang.Object
implements ComboBoxEditor, java.awt.event.FocusListener

The default editor for editable combo boxes

Inner Class Summary
`static class` | `BasicComboBoxEditor.UIResource` A subclass of BasicComboBoxEditor that implements UIResource.

Field Summary
`protected JTextField` | `editor`

Constructor Summary
`BasicComboBoxEditor()`

Method Summary
`void` | `addActionListener(java.awt.event.ActionListener l)`
`void` | `focusGained(java.awt.event.FocusEvent e)`
`void` | `focusLost(java.awt.event.FocusEvent e)`
`java.awt.Component` | `getEditorComponent()`
`java.lang.Object` | `getItem()`
`void` | `removeActionListener(java.awt.event.ActionListener l)`
`void` | `selectAll()`
`void` | `setItem(java.lang.Object anObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### editor

    protected JTextField editor

Constructor Detail

### BasicComboBoxEditor

    public BasicComboBoxEditor()

Method Detail

### getEditorComponent

    public java.awt.Component getEditorComponent()

  Specified by:
    getEditorComponent in interface ComboBoxEditor

### setItem

    public void setItem(java.lang.Object anObject)

  Specified by:
    setItem in interface ComboBoxEditor

### getItem

    public java.lang.Object getItem()

  Specified by:
    getItem in interface ComboBoxEditor

### selectAll

    public void selectAll()

  Specified by:
    selectAll in interface ComboBoxEditor

### focusGained

    public void focusGained(java.awt.event.FocusEvent e)

  Specified by:
    focusGained in interface java.awt.event.FocusListener

### focusLost

    public void focusLost(java.awt.event.FocusEvent e)

  Specified by:
    focusLost in interface java.awt.event.FocusListener

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  Specified by:
    addActionListener in interface ComboBoxEditor

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener l)

  Specified by:
    removeActionListener in interface ComboBoxEditor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.